CamelPOP3Stream
3
CAMEL Library

# CamelPOP3Stream

## Synopsis

                        CamelPOP3Stream;
    enum                camel_pop3_stream_mode_t;
    CamelStream*        camel_pop3_stream_new               (CamelStream *source);
    void                camel_pop3_stream_set_mode          (CamelPOP3Stream *is,
                                                             camel_pop3_stream_mode_t mode);
    int                 camel_pop3_stream_line              (CamelPOP3Stream *is,
                                                             unsigned char **data,
                                                             unsigned int *len);
    int                 camel_pop3_stream_gets              (CamelPOP3Stream *is,
                                                             unsigned char **start,
                                                             unsigned int *len);
    int                 camel_pop3_stream_getd              (CamelPOP3Stream *is,
                                                             unsigned char **start,
                                                             unsigned int *len);

## Description

## Details

### CamelPOP3Stream

    typedef struct {
    	CamelStream parent;

    	CamelStream *source;

    	camel_pop3_stream_mode_t mode;
    	int state;

    	unsigned char *buf, *ptr, *end;
    	unsigned char *linebuf, *lineptr, *lineend;
    } CamelPOP3Stream;

### enum camel_pop3_stream_mode_t

    typedef enum {
    	CAMEL_POP3_STREAM_LINE,
    	CAMEL_POP3_STREAM_DATA,
    	CAMEL_POP3_STREAM_EOD	/* end of data, acts as if end of stream */
    } camel_pop3_stream_mode_t;

### camel_pop3_stream_new ()

    CamelStream*        camel_pop3_stream_new               (CamelStream *source);

Returns a NULL stream. A null stream is always at eof, and always returns success for all reads and writes.

`source` :

Returns :

  the stream

### camel_pop3_stream_set_mode ()

    void                camel_pop3_stream_set_mode          (CamelPOP3Stream *is,
                                                             camel_pop3_stream_mode_t mode);

`is` :

`mode` :

### camel_pop3_stream_line ()

    int                 camel_pop3_stream_line              (CamelPOP3Stream *is,
                                                             unsigned char **data,
                                                             unsigned int *len);

`is` :

`data` :

`len` :

Returns :

### camel_pop3_stream_gets ()

    int                 camel_pop3_stream_gets              (CamelPOP3Stream *is,
                                                             unsigned char **start,
                                                             unsigned int *len);

`is` :

`start` :

`len` :

Returns :

### camel_pop3_stream_getd ()

    int                 camel_pop3_stream_getd              (CamelPOP3Stream *is,
                                                             unsigned char **start,
                                                             unsigned int *len);

`is` :

`start` :

`len` :

Returns :